Subject: Re: programs wont read/write stdin/stdout under bash
From: [email-masked] (Michael Hirmke)

27 Sep 1998 02:26:31 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Stuart,

>
>
>HI all, I'm having trouble getting compiled C (cygwin19beta gcc) or
>java (sun jdk) programs to communicate with stdin and stdout when
>exec'ed from bash (cygwin19beta) under NT4.  reading from stdin always
>produces an eof and writing produces no input.  It seems as though the
>child process hasnt got open file descriptors 0,1 or 2.

set CYGWIN32=tty %CYGWIN32%

*before* starting the first instance of any cygwin32 program.

>
>I suspect I am being incredibly dumb here. Any help gratefully
>appreciated.
>
>stu

BYe.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".